XOOPS 2.5.11 Final Released

1026
Author
Alain
Publication
12/29/2023 10:20
12/29/2023
Update
12/29/2023
Rating
0.0 (0 vote)
XOOPS 2.5.11 Final Released

XOOPS 2.5.11 Final Released

The XOOPS Development Team is pleased to announce the release of XOOPS 2.5.11 Final.

This version for production brings:
- More than 500 improvements and fixes since XOOPS 2.5.10,
- More than 80 improvements and fixes since XOOPS 2.5.11 RC3.

this version includes numerous improvements and fixes.
Here, a very short list of them:

  • PHP 8.0 compatibility PHP 8
  • MySQL 8.0 compatibility MySQL 8
  • Use of Smarty 3 Smarty 3
  • Copying in a new XOOPS release does not overwrite existing configuration files
  • New thème xSwatch4 based on Bootswatch itself based on the CSS library Bootstrap
  • Template overload capability in system admin thèmes
  • Security updates
  • Updated libraries
  • And many more fixes and updates
The link to the full list is here.

XOOPS 2.5.11 introduces a significant change: Smarty 3, the template engine.
Unfortunately, this change may potentially disrupt some older themes.
Therefore, before proceeding with the upgrade, please ensure that you follow these steps:
  • Copy the upgrade directory to your XOOPS root directory
  • Run /upgrade/preflight.php to check for any outdated themes or module templates.
  • If any issues are identified, consult this document to understand the necessary modifications before proceeding with the upgrade
  • After making the required changes, run /upgrade/preflight.php again
  • If there are no more issues, you can begin the upgrade process

22 contributors have worked to improve our CMS, XOOPS !
Here are the main contributions. This list is obviously not exhaustive:

...
geekwright
...
mambax7
...
GregMage
...
alain01
...
luciorota
...
zyspec
...
ggoffy

You can see that 2 contributors among the 7 are webmasters of monxoops.fr!

requirements

Recommandations
XOOPS 2.5.11

Minimum requirement

Recommended

Compatibility
PHP PHP 5.3.9 PHP 7.4 PHP 7.4+, PHP 8.1x
MySQL
MariaDB compatible
MySQL server
5.6
MySQL server
8
MySQL server
8.0+
Server Web
Apache, NGINX...
Should support PHP scripts


We recommend that you read the following 2 tutorials carefully: You can also read the XOOP installation and update manual.


Comment View Options:       
The comments are owned by the author. We aren't responsible for their content.
Author
Thread
Published 12/29/2023 12:58
 
  • Administrateur

 Re : XOOPS 2.5.11 version finale

N'hésitez pas à commenter cette nouvelle!
Utilisez le forum pour vos questions.